# GenericDocumentWrappedResults class

Inheritance
  - Object
  - Result
  - GenericDocumentWrappedResults

## Constructors

GenericDocumentWrappedResults(List<GenericDocumentWrapper> documents)
GenericDocumentWrappedResults.canceled()
GenericDocumentWrappedResults.error(String message)
GenericDocumentWrappedResults.fromGenericDocumentResults(GenericDocumentResults results)
  factory

## Properties

documents ↔ List<GenericDocumentWrapper>
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
message ↔ String?
  Message with description of returned result, for example, error message
  read / write inherited
operationResult ↔ OperationResult?
  Standart result status
  read / write inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited